Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate.extensions
Class BookmarkTree

    java.lang.Object
      org.apache.fop.render.intermediate.extensions.BookmarkTree

    public class BookmarkTree

extends java.lang.Object

This class is the root of the bookmark tree for use in the intermediate format.

Constructor Summary
`BookmarkTree()` Constructs a new bookmark tree.

Method Summary
`void` | `addBookmark(Bookmark bookmark)` Adds a new top-level bookmark.
`java.util.List` | `getBookmarks()` Returns a list of top-level bookmarks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarkTree

    public BookmarkTree()

  Constructs a new bookmark tree.

Method Detail

### addBookmark

    public void addBookmark(Bookmark bookmark)

  Adds a new top-level bookmark.

  Parameters:
    `bookmark` - the bookmark

### getBookmarks

    public java.util.List getBookmarks()

  Returns a list of top-level bookmarks.

  Returns:
    the top-level bookmarks

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.